  PROGRAM   ! Listing 1 - DeleteIDENTS.CLW
  MAP.
IDENT       UNSIGNED, AUTO          ! INSTRING returns an UNSIGNED
CloseP      UNSIGNED, AUTO

eIDENT      EQUATE('IDENT(')
eCloseP     EQUATE(')')
eNoIDENTs   EQUATE('_NoIDENTs.TXA')
eDict       EQUATE('DICTIONARY')
eMax        EQUATE(6144)            ! Varies with the # of relationships

OldFileName CSTRING(129), AUTO      ! TXA in
NewFileName CSTRING(129), AUTO      ! TXA out - with the eNoIDENTs extention

OldFile     FILE, DRIVER('ASCII'),NAME(OldFileName) 
RECORD        RECORD
aLine           STRING(eMax)
            ..
NewFile     FILE, DRIVER('ASCII'),NAME(NewFileName),CREATE
RECORD        RECORD
aLine           STRING(eMax)
            ..
   CODE
   LOOP WHILE FILEDIALOG('Choose TXA to Convert', OldFileName, 'TXA|*.TXA')
      NewFileName = OldFileName [1 : LEN(OldFileName)-4] & eNoIDENTs
      CREATE(NewFile)
      OPEN  (NewFile)
      OPEN  (OldFile)
      SET   (OldFile)
      LOOP
         NEXT(OldFile)
         IF ERRORCODE(); BREAK.

         ! Don't use the old dictionary
         IF OldFile.aLine [1 : 10] = eDict; CYCLE.

         ! Is IDENT on this line?
         IDENT = INSTRING(eIDENT, OldFile.aLine, 1, 1)
         IF IDENT

            ! Find closing parenthesis
            CloseP = INSTRING(eCloseP, OldFile.aLine, 1, IDENT+6)

            ! String slice the offending IDENT
            NewFile.aLine = OldFile.aLine [1        : IDENT-1] & |
                            OldFile.aLine [CloseP+2 : eMax]

            ! If there is nothing to save then cycle
            IF LEN(CLIP(NewFile.aLine)) < 5; CYCLE.
         ELSE

            ! If there is no IDENT, save the whole line
            NewFile.aLine = OldFile.aLine                      
         END
         APPEND(NewFile)
      END

      CLOSE (NewFile)
      CLOSE (OldFile)
      MESSAGE('Done')
  END
